Package de.willuhn.jameica.hbci.passports.ddv.server

# Class PCSCWrapperReader

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader
de.willuhn.jameica.hbci.passports.ddv.server.PCSCWrapperReader

All Implemented Interfaces:
  `Reader`

public class PCSCWrapperReader extends AbstractReader
Implementierung fuer die Default-Einstellungen eines Kartenlesers via pcsc-ctapi-wrapper.

## Nested Class Summary

## Nested classes/interfaces inherited from interface de.willuhn.jameica.hbci.passports.ddv.rmi.Reader

`Reader.Type`

## Constructor Summary

Constructors
Constructor
Description
`PCSCWrapperReader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCTAPIDriver()`
Liefert Pfad und Dateiname des CTAPI-Treibers.
`String`
`getName()`
Liefert den Namen des Chipkartenlesers.
`boolean`
`isSupported()`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.

### Methods inherited from class de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader

`equals, getCTNumber, getDefaultHBCIVersion, getPort, getType, toString, useSoftPin`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PCSCWrapperReader

public PCSCWrapperReader()

## Method Details

### getName

public String getName()
Description copied from interface: `Reader`
Liefert den Namen des Chipkartenlesers.

Returns:
  Name des Lesers.
See Also:
  - `Reader.getName()`

### getCTAPIDriver

public String getCTAPIDriver()
Description copied from interface: `Reader`
Liefert Pfad und Dateiname des CTAPI-Treibers.

Returns:
  Pfad und Dateiname des CTAPI-Treibers.
See Also:
  - `Reader.getCTAPIDriver()`

### isSupported

public boolean isSupported()
Description copied from interface: `Reader`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.

Returns:
  `true`, wenn er unterstuetzt wird.
See Also:
  - `Reader.isSupported()`